diff --git a/books/bookvol10.3.pamphlet b/books/bookvol10.3.pamphlet
index 5fec7f8..f80a03d 100644
--- a/books/bookvol10.3.pamphlet
+++ b/books/bookvol10.3.pamphlet
@@ -9337,7 +9337,7 @@ BasicOperator(): Exports == Implementation where
     nary? op             == negative?(op.narg)
     equality(op, func)   == setProperty(op, EQUAL?, func pretend None)
     comparison(op, func) == setProperty(op, LESS?, func pretend None)
-    display(op:$, f:O -> O)        == display(op, f first #1)
+    display(op:$, f:O -> O)        == display(op,(x1:List(O)):O +-> f first x1)
     deleteProperty_!(op, name)     == (remove_!(name, properties op); op)
     setProperty(op, name, valu)    == (op.props.name := valu; op)
     coerce(op:$):OutputForm        == name(op)::OutputForm
diff --git a/changelog b/changelog
index ec6d507..8f1cdec 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20090509 tpd src/axiom-website/patches.html 20090509.06.tpd.patch
+20090509 tpd books/bookvol10.3 BOP +-> conversion
 20090509 tpd src/axiom-website/patches.html 20090509.05.tpd.patch
 20090509 tpd books/bookvol10.2 MATCAT +-> conversion (missed one)
 20090509 tpd src/axiom-website/patches.html 20090509.04.tpd.patch
@@ -5,6 +7,7 @@
 20090509 tpd src/axiom-website/patches.html 20090509.03.tpd.patch
 20090509 tpd books/bookvol10.4 INTALG +-> conversion
 20090509 tpd src/axiom-website/patches.html 20090509.02.tpd.patch
+20090509 tpd books/bookvol10.3 AUTOMOR +-> conversion
 20090509 tpd books/bookvol10.3 BFUNCT +-> conversion
 20090509 tpd src/axiom-website/patches.html 20090509.01.tpd.patch
 20090509 tpd bookvol10.2 ARR2CAT +-> conversion
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 120d9e9..1468e09 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -1140,7 +1140,9 @@ bookvol10.3 BFUNCT +-> conversion<br/>
 bookvol10.4 INTALG +-> conversion<br/>
 <a href="patches/20090509.04.tpd.patch">20090509.04.tpd.patch</a>
 bookvol10.2 MATCAT +-> conversion<br/>
-<a href="patches/20090509.04.tpd.patch">20090509.04.tpd.patch</a>
+<a href="patches/20090509.05.tpd.patch">20090509.05.tpd.patch</a>
 bookvol10.2 MATCAT +-> conversion (missed one)<br/>
+<a href="patches/20090509.06.tpd.patch">20090509.06.tpd.patch</a>
+bookvol10.3 BOP +-> conversion<br/>
  </body>
 </html>
